Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class DiagramTypeConverter.ConditionalConverter

    java.lang.Object
      biouml.model.DiagramTypeConverter.YesConverter
          biouml.model.DiagramTypeConverter.ConditionalConverter

All Implemented Interfaces:
  DiagramTypeConverter

Enclosing class:
  DiagramTypeConverter

public static class DiagramTypeConverter.ConditionalConverter
extends DiagramTypeConverter.YesConverter

Checks whether data types of all kernels on the diagram can be used in new diagram. If true - then diagram type will be changed, othervise exception will be thrown. The exception message will list all kernel names that are not suitable for new diagram type.

Nested Class Summary

Nested classes inherited from class biouml.model.DiagramTypeConverter
`DiagramTypeConverter.ConditionalConverter, DiagramTypeConverter.NoConverter, DiagramTypeConverter.YesConverter`

Constructor Summary
`DiagramTypeConverter.ConditionalConverter()`

Method Summary
`void` | `checkElements(java.util.List list, Compartment compartment, DiagramType type)`
`void` | `convert(Diagram diagram, java.lang.Class type)`
`boolean` | `isSuitable(DiagramElement de, DiagramType type)`
`protected void` | `message(java.lang.StringBuffer buf, DiagramElement de, Diagram diagram)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramTypeConverter.ConditionalConverter

    public DiagramTypeConverter.ConditionalConverter()

Method Detail

### isSuitable

    public boolean isSuitable(DiagramElement de,
                              DiagramType type)

### checkElements

    public void checkElements(java.util.List list,
                              Compartment compartment,
                              DiagramType type)

### convert

    public void convert(Diagram diagram,
                        java.lang.Class type)
                 throws java.lang.Exception

  Specified by:
    `convert` in interface `DiagramTypeConverter`
  Overrides:
    `convert` in class `DiagramTypeConverter.YesConverter`
  Throws:
    `java.lang.Exception`

### message

    protected void message(java.lang.StringBuffer buf,
                           DiagramElement de,
                           Diagram diagram)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.